<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Kanban Board</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="projects-tray" id="projectsTray">
        <div class="projects-tray-header">
            <div class="projects-tray-buttons">
                <button id="createProjectButton" class="project-button" title="Create Project">
                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M9 8a1 1 0 0 0-2 0v6a1 1 0 1 0 2 0V8Zm3-1a1 1 0 0 1 1 1v8a1 1 0 1 1-2 0V8a1 1 0 0 1 1-1Zm4 0a1 1 0 0 1 1 1v4a1 1 0 1 1-2 0V8a1 1 0 0 1 1-1Z" fill="currentColor"/>
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M10.357 3h3.286c1.084 0 1.958 0 2.666.058.729.06 1.369.185 1.961.487a5 5 0 0 1 2.185 2.185c.302.592.428 1.233.487 1.961C21 8.4 21 9.273 21 10.357v3.286c0 1.084 0 1.958-.058 2.666-.06.729-.185 1.369-.487 1.961a5 5 0 0 1-2.185 2.185c-.592.302-1.232.428-1.961.487C15.6 21 14.727 21 13.643 21h-3.286c-1.084 0-1.958 0-2.666-.058-.728-.06-1.369-.185-1.96-.487a5 5 0 0 1-2.186-2.185c-.302-.592-.428-1.232-.487-1.961C3 15.6 3 14.727 3 13.643v-3.286c0-1.084 0-1.958.058-2.666.06-.728.185-1.369.487-1.96A5 5 0 0 1 5.73 3.544c.592-.302 1.233-.428 1.961-.487C8.4 3 9.273 3 10.357 3ZM7.854 5.051c-.605.05-.953.142-1.216.276a3 3 0 0 0-1.311 1.311c-.134.263-.226.611-.276 1.216C5.001 8.471 5 9.264 5 10.4v3.2c0 1.137 0 1.929.051 2.546.05.605.142.953.276 1.216a3 3 0 0 0 1.311 1.311c.263.134.611.226 1.216.276.617.05 1.41.051 2.546.051h3.2c1.137 0 1.929 0 2.546-.051.605-.05.953-.142 1.216-.276a3 3 0 0 0 1.311-1.311c.134-.263.226-.611.276-1.216.05-.617.051-1.41.051-2.546v-3.2c0-1.137 0-1.929-.051-2.546-.05-.605-.142-.953-.276-1.216a3 3 0 0 0-1.311-1.311c-.263-.134-.611-.226-1.216-.276C15.529 5.001 14.736 5 13.6 5h-3.2c-1.137 0-1.929 0-2.546.051Z" fill="currentColor"/></svg>
                </button>
                <button id="openProjectButton" class="project-button" title="Open Project">
                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M8.012 6c.781 0 1.009.006 1.212.055a2 2 0 0 1 .578.24c.179.11.344.266.897.818l.594.594A1 1 0 0 0 12 8h2.2c.857 0 1.439 0 1.889.038.438.035.663.1.819.18a2 2 0 0 1 .874.874c.08.156.145.38.18.82.024.293.033.643.036 1.088h2a17.307 17.307 0 0 0-.042-1.252c-.046-.562-.145-1.079-.392-1.564a4 4 0 0 0-1.748-1.748c-.485-.247-1.002-.346-1.564-.392C15.71 6 15.046 6 14.242 6h-1.828l-.373-.373c-.449-.45-.788-.789-1.194-1.037a4 4 0 0 0-1.156-.48C9.228 4 8.75 4 8.114 4h-.355c-.805 0-1.47 0-2.01.044-.563.046-1.08.145-1.565.392a4 4 0 0 0-1.748 1.748c-.247.485-.346 1.002-.392 1.564C2 8.29 2 8.954 2 9.758v4.483c0 .805 0 1.47.044 2.01.046.563.145 1.08.392 1.565a4 4 0 0 0 1.748 1.748c.485.247 1.002.346 1.564.392C6.29 20 6.954 20 7.758 20H8v-2h-.2c-.857 0-1.439 0-1.889-.038-.438-.035-.663-.1-.819-.18a2 2 0 0 1-.874-.874c-.08-.156-.145-.38-.18-.819C4 15.639 4 15.057 4 14.2V9.8c0-.857 0-1.439.038-1.889.035-.438.1-.663.18-.819a2 2 0 0 1 .874-.874c.156-.08.38-.145.819-.18C6.361 6 6.943 6 7.8 6h.212Z" fill="currentColor"/>
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M7.787 10h9.411c.784 0 1.44 0 1.962.048.532.048 1.07.156 1.536.473a3 3 0 0 1 1.265 1.956c.098.555-.025 1.09-.199 1.595-.17.495-.44 1.094-.762 1.809l-.314.7c-.023.048-.044.097-.066.145-.396.882-.695 1.547-1.18 2.05a4 4 0 0 1-1.53.99c-.658.235-1.387.235-2.354.234H9.191c-.954 0-1.725 0-2.336-.044-.618-.045-1.19-.141-1.694-.402A4 4 0 0 1 3 16.18c-.025-.568.127-1.127.345-1.707.216-.574.538-1.274.938-2.14l.016-.036c.015-.03.03-.062.043-.093.203-.442.382-.829.649-1.144a3 3 0 0 1 1.484-.95c.399-.11.825-.11 1.311-.11Zm.103 2c-.648 0-.778.009-.878.037a1 1 0 0 0-.495.316c-.067.08-.13.194-.4.782-.42.91-.712 1.544-.899 2.041-.187.499-.226.753-.218.914a2 2 0 0 0 1.08 1.687c.142.074.39.145.92.184.53.039 1.228.04 2.23.04h6.166c1.2 0 1.551-.015 1.84-.118.289-.104.55-.273.764-.495.212-.22.37-.534.862-1.629l.295-.656c.346-.77.577-1.284.714-1.682.137-.398.13-.543.12-.595a1 1 0 0 0-.421-.652c-.044-.03-.173-.096-.592-.135-.42-.038-.984-.039-1.827-.039H7.89Z" fill="currentColor"/></svg>
                </button>
            </div>
            <div class="user-profile" id="userProfile">
                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M9 16a3 3 0 0 0-3 3 1 1 0 0 0 1 1h10a1 1 0 0 0 1-1 3 3 0 0 0-3-3H9Zm-5 3a5 5 0 0 1 5-5h6a5 5 0 0 1 5 5 3 3 0 0 1-3 3H7a3 3 0 0 1-3-3ZM12 4a3 3 0 1 0 0 6 3 3 0 0 0 0-6ZM7 7a5 5 0 1 1 10 0A5 5 0 0 1 7 7Z" fill="currentColor"/>
                </svg>
                <img src="" alt="User Profile" id="userProfileImage">
            </div>
        </div>
        <div class="project-list">
        <!--Projects dynamically created and/or user created-->
        </div>
    </div>

            <div class="kanban-board">
                <div class="kanban-column" id="todo" draggable="true">
                    <div class="header-group">
                        <h2>To Do</h2>
                        <button class="rename-column-button" title="Rename"><svg width="24" height="24" viewBox="0 0 24 24" fill="currentColor" xmlns="http://www.w3.org/2000/svg"><path d="M4 21a1 1 0 0 1 1-1h14a1 1 0 1 1 0 2H5a1 1 0 0 1-1-1Z" fill="currentColor"/><path fill-rule="evenodd" clip-rule="evenodd" d="M12.412 3.174a4 4 0 0 1 5.657 0l.757.758a4 4 0 0 1 0 5.657l-6.906 6.906a2 2 0 0 1-1.015.545l-4.503.918a2 2 0 0 1-2.36-2.359l.918-4.504a2 2 0 0 1 .546-1.014l6.906-6.907Zm4.242 1.415a2 2 0 0 0-2.828 0L13.414 5 17 8.586l.412-.412a2 2 0 0 0 0-2.828l-.758-.757ZM8.414 10 12 6.415 15.586 10 12 13.586 8.414 10ZM7 11.415l-.08.08-.918 4.504 4.504-.918.08-.08L7 11.414Z" fill="currentColor"/></svg></button>
                    </div>
                    <div class="input-group">
                        <input type="text" id="newTaskContentTodo" placeholder="Create task">
                        <button id="addTaskButtonTodo"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M12 7a1 1 0 0 0-1 1v3H8a1 1 0 1 0 0 2h3v3a1 1 0 1 0 2 0v-3h3a1 1 0 1 0 0-2h-3V8a1 1 0 0 0-1-1Z" fill="currentColor"/></svg></button>
                    </div>
                </div>
                <div class="kanban-column" id="in-progress" draggable="true">
                    <div class="header-group">
                        <h2>In Progress</h2>
                        <button class="rename-column-button" title="Rename"><svg width="24" height="24" viewBox="0 0 24 24" fill="currentColor" xmlns="http://www.w3.org/2000/svg"><path d="M4 21a1 1 0 0 1 1-1h14a1 1 0 1 1 0 2H5a1 1 0 0 1-1-1Z" fill="currentColor"/><path fill-rule="evenodd" clip-rule="evenodd" d="M12.412 3.174a4 4 0 0 1 5.657 0l.757.758a4 4 0 0 1 0 5.657l-6.906 6.906a2 2 0 0 1-1.015.545l-4.503.918a2 2 0 0 1-2.36-2.359l.918-4.504a2 2 0 0 1 .546-1.014l6.906-6.907Zm4.242 1.415a2 2 0 0 0-2.828 0L13.414 5 17 8.586l.412-.412a2 2 0 0 0 0-2.828l-.758-.757ZM8.414 10 12 6.415 15.586 10 12 13.586 8.414 10ZM7 11.415l-.08.08-.918 4.504 4.504-.918.08-.08L7 11.414Z" fill="currentColor"/></svg></button>
                    </div>
                    <div class="input-group">
                        <input type="text" id="newTaskContentInProgress" placeholder="Create task">
                        <button id="addTaskButtonInProgress">+</button>
                    </div>
                </div>
                <div class="kanban-column" id="done" draggable="true">
                    <div class="header-group">
                        <h2>Done</h2>
                        <button class="rename-column-button" title="Rename"><svg width="24" height="24" viewBox="0 0 24 24" fill="currentColor" xmlns="http://www.w3.org/2000/svg"><path d="M4 21a1 1 0 0 1 1-1h14a1 1 0 1 1 0 2H5a1 1 0 0 1-1-1Z" fill="currentColor"/><path fill-rule="evenodd" clip-rule="evenodd" d="M12.412 3.174a4 4 0 0 1 5.657 0l.757.758a4 4 0 0 1 0 5.657l-6.906 6.906a2 2 0 0 1-1.015.545l-4.503.918a2 2 0 0 1-2.36-2.359l.918-4.504a2 2 0 0 1 .546-1.014l6.906-6.907Zm4.242 1.415a2 2 0 0 0-2.828 0L13.414 5 17 8.586l.412-.412a2 2 0 0 0 0-2.828l-.758-.757ZM8.414 10 12 6.415 15.586 10 12 13.586 8.414 10ZM7 11.415l-.08.08-.918 4.504 4.504-.918.08-.08L7 11.414Z" fill="currentColor"/></svg></button>
                    </div>
                    <div class="input-group">
                        <input type="text" id="newTaskContentDone" placeholder="Create task">
                        <button id="addTaskButtonDone">+</button>
                    </div>
                </div>
            </div>

            <div id="controlPanelsContainer">
                <div class="control-panel">
                    <div class="panel" id="mainControlPanel">
                        <button id="toggleControlPanelButton" class="button-with-icon" title="Menu">
                            <svg id="toggleIcon" width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M11.293 9.293a1 1 0 0 1 1.414 0l3 3a1 1 0 0 1-1.414 1.414L12 11.414l-2.293 2.293a1 1 0 0 1-1.414-1.414l3-3Z" fill="currentColor"/><path d="M10.357 3h3.286c1.084 0 1.958 0 2.666.058.729.06 1.369.185 1.961.487a5 5 0 0 1 2.185 2.185c.302.592.428 1.233.487 1.961C21 8.4 21 9.273 21 10.357v3.286c0 1.084 0 1.958-.058 2.666-.06.729-.185 1.369-.487 1.961a5 5 0 0 1-2.185 2.185c-.592.302-1.232.428-1.961.487C15.6 21 14.727 21 13.643 21h-3.286c-1.084 0-1.958 0-2.666-.058-.728-.06-1.369-.185-1.96-.487a5 5 0 0 1-2.186-2.185c-.302-.592-.428-1.232-.487-1.961C3 15.6 3 14.727 3 13.643v-3.286c0-1.084 0-1.958.058-2.666.06-.728.185-1.369.487-1.96A5 5 0 0 1 5.73 3.544c.592-.302 1.233-.428 1.961-.487C8.4 3 9.273 3 10.357 3ZM7.854 5.051c-.605.05-.953.142-1.216.276a3 3 0 0 0-1.311 1.311c-.134.263-.226.611-.276 1.216C5.001 8.471 5 9.264 5 10.4v3.2c0 1.137 0 1.929.051 2.546.05.605.142.953.276 1.216a3 3 0 0 0 1.311 1.311c.263.134.611.226 1.216.276.617.05 1.41.051 2.546.051h3.2c1.137 0 1.929 0 2.546-.051.605-.05.953-.142 1.216-.276a3 3 0 0 0 1.311-1.311c.134-.263.226-.611.276-1.216.05-.617.051-1.41.051-2.546v-3.2c0-1.137 0-1.929-.051-2.546-.05-.605-.142-.953-.276-1.216a3 3 0 0 0-1.311-1.311c-.263-.134-.611-.226-1.216-.276C15.529 5.001 14.736 5 13.6 5h-3.2c-1.137 0-1.929 0-2.546.051Z" fill="currentColor"/></svg>
                        </button>
                        <button id="addColumnButton" class="button-with-icon" title="New Column">
                            <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 4a1 1 0 0 0-1 1v6H5a1 1 0 1 0 0 2h6v6a1 1 0 1 0 2 0v-6h6a1 1 0 1 0 0-2h-6V5a1 1 0 0 0-1-1Z" fill="currentColor"/></svg>
                        </button>
                        <button id="shareBoardButton" class="button-with-icon" title="Share Board">
                            <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 15.241V12a1 1 0 1 1 2 0v3.2c0 .857 0 1.439.038 1.889.035.438.1.663.18.819a2 2 0 0 0 .874.874c.156.08.38.145.819.18C7.361 19 7.943 19 8.8 19h6.4c.857 0 1.439 0 1.889-.038.438-.035.663-.1.819-.18a2 2 0 0 0 .874-.874c.08-.156.145-.38.18-.819.037-.45.038-1.032.038-1.889V12a1 1 0 1 1 2 0v3.241c0 .805 0 1.47-.044 2.01-.046.563-.145 1.08-.392 1.565a4 4 0 0 1-1.748 1.748c-.485.247-1.002.346-1.564.392-.541.044-1.206.044-2.01.044H8.758c-.805 0-1.47 0-2.01-.044-.563-.046-1.08-.145-1.565-.392a4 4 0 0 1-1.748-1.748c-.247-.485-.346-1.002-.392-1.564C3 16.71 3 16.046 3 15.242Z" fill="currentColor"/><path d="M9.707 7.707a1 1 0 0 1-1.414-1.414l3-3a1 1 0 0 1 1.414 0l3 3a1 1 0 0 1-1.414 1.414L13 6.414V15a1 1 0 1 1-2 0V6.414L9.707 7.707Z" fill="currentColor"/></svg>
                        </button>
                        <button id="saveBoardButton" class="button-with-icon" title="Save Board">
                            <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M10 14a1 1 0 0 0-1 1v5H7v-5a3 3 0 0 1 3-3h4a3 3 0 0 1 3 3v5h-2v-5a1 1 0 0 0-1-1h-4ZM15 7V4h-2v3a1 1 0 0 1-1 1h-2a1 1 0 0 1-1-1V4H7v3a3 3 0 0 0 3 3h2a3 3 0 0 0 3-3Z" fill="currentColor"/><path d="M15.043 5.083C14.726 5.006 14.376 5 13.35 5H10.4c-1.137 0-1.929 0-2.546.051-.605.05-.953.142-1.216.276a3 3 0 0 0-1.311 1.311c-.134.263-.226.611-.276 1.216C5.001 8.471 5 9.264 5 10.4v3.2c0 1.137 0 1.929.051 2.546.05.605.142.953.276 1.216a3 3 0 0 0 1.311 1.311c.263.134.611.226 1.216.276.617.05 1.41.051 2.546.051h3.2c1.137 0 1.929 0 2.546-.051.605-.05.953-.142 1.216-.276a3 3 0 0 0 1.311-1.311c.134-.263.226-.611.276-1.216.05-.617.051-1.41.051-2.546v-2.949c0-1.026-.006-1.376-.083-1.694a3 3 0 0 0-.36-.868c-.17-.279-.413-.53-1.139-1.256l-.25-.251c-.726-.726-.978-.969-1.257-1.14a3 3 0 0 0-.867-.36ZM13.463 3c.869 0 1.47 0 2.047.138.51.123.998.325 1.446.599.506.31.93.735 1.545 1.35l.08.08.252.251.08.081c.615.614 1.04 1.04 1.35 1.545.274.448.476.935.599 1.446.138.577.138 1.178.138 2.047v3.106c0 1.084 0 1.958-.058 2.666-.06.729-.185 1.369-.487 1.961a5 5 0 0 1-2.185 2.185c-.592.302-1.232.428-1.961.487C15.6 21 14.727 21 13.643 21h-3.286c-1.084 0-1.958 0-2.666-.058-.728-.06-1.369-.185-1.96-.487a5 5 0 0 1-2.186-2.185c-.302-.592-.428-1.232-.487-1.961C3 15.6 3 14.727 3 13.643v-3.286c0-1.084 0-1.958.058-2.666.06-.728.185-1.369.487-1.96A5 5 0 0 1 5.73 3.544c.592-.302 1.233-.428 1.961-.487C8.4 3 9.273 3 10.357 3h3.106Z" fill="currentColor"/></svg>
                        </button>
                        <button id="openBoardButton" class="button-with-icon" title="Open Board">
                            <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M8.012 6c.781 0 1.009.006 1.212.055a2 2 0 0 1 .578.24c.179.11.344.266.897.818l.594.594A1 1 0 0 0 12 8h2.2c.857 0 1.439 0 1.889.038.438.035.663.1.819.18a2 2 0 0 1 .874.874c.08.156.145.38.18.82.024.293.033.643.036 1.088h2a17.307 17.307 0 0 0-.042-1.252c-.046-.562-.145-1.079-.392-1.564a4 4 0 0 0-1.748-1.748c-.485-.247-1.002-.346-1.564-.392C15.71 6 15.046 6 14.242 6h-1.828l-.373-.373c-.449-.45-.788-.789-1.194-1.037a4 4 0 0 0-1.156-.48C9.228 4 8.75 4 8.114 4h-.355c-.805 0-1.47 0-2.01.044-.563.046-1.08.145-1.565.392a4 4 0 0 0-1.748 1.748c-.247.485-.346 1.002-.392 1.564C2 8.29 2 8.954 2 9.758v4.483c0 .805 0 1.47.044 2.01.046.563.145 1.08.392 1.565a4 4 0 0 0 1.748 1.748c.485.247 1.002.346 1.564.392C6.29 20 6.954 20 7.758 20H8v-2h-.2c-.857 0-1.439 0-1.889-.038-.438-.035-.663-.1-.819-.18a2 2 0 0 1-.874-.874c-.08-.156-.145-.38-.18-.819C4 15.639 4 15.057 4 14.2V9.8c0-.857 0-1.439.038-1.889.035-.438.1-.663.18-.819a2 2 0 0 1 .874-.874c.156-.08.38-.145.819-.18C6.361 6 6.943 6 7.8 6h.212Z" fill="currentColor"/><path d="M7.787 10h9.411c.784 0 1.44 0 1.962.048.532.048 1.07.156 1.536.473a3 3 0 0 1 1.265 1.956c.098.555-.025 1.09-.199 1.595-.17.495-.44 1.094-.762 1.809l-.314.7c-.023.048-.044.097-.066.145-.396.882-.695 1.547-1.18 2.05a4 4 0 0 1-1.53.99c-.658.235-1.387.235-2.354.234H9.191c-.954 0-1.725 0-2.336-.044-.618-.045-1.19-.141-1.694-.402A4 4 0 0 1 3 16.18c-.025-.568.127-1.127.345-1.707.216-.574.538-1.274.938-2.14l.016-.036c.015-.03.03-.062.043-.093.203-.442.382-.829.649-1.144a3 3 0 0 1 1.484-.95c.399-.11.825-.11 1.311-.11Zm.103 2c-.648 0-.778.009-.878.037a1 1 0 0 0-.495.316c-.067.08-.13.194-.4.782-.42.91-.712 1.544-.899 2.041-.187.499-.226.753-.218.914a2 2 0 0 0 1.08 1.687c.142.074.39.145.92.184.53.039 1.228.04 2.23.04h6.166c1.2 0 1.551-.015 1.84-.118.289-.104.55-.273.764-.495.212-.22.37-.534.862-1.629l.295-.656c.346-.77.577-1.284.714-1.682.137-.398.13-.543.12-.595a1 1 0 0 0-.421-.652c-.044-.03-.173-.096-.592-.135-.42-.038-.984-.039-1.827-.039H7.89Z" fill="currentColor"/></svg>
                        </button>
                    </div>
                </div>

                <div class="control-panel">
                    <div class="panel" id="projectPanel">
                        <button id="projectsButton" class="button-with-icon" title="Open Projects">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M9 20a1 1 0 0 1-1-1V5a1 1 0 0 1 2 0v14a1 1 0 0 1-1 1Z" fill="currentColor"/><path fill-rule="evenodd" clip-rule="evenodd" d="M7.759 4h8.482c.805 0 1.47 0 2.01.044.563.046 1.08.145 1.565.392a4 4 0 0 1 1.748 1.748c.247.485.346 1.002.392 1.564C22 8.29 22 8.954 22 9.758v4.483c0 .805 0 1.47-.044 2.01-.046.563-.145 1.08-.392 1.565a4 4 0 0 1-1.748 1.748c-.485.247-1.002.346-1.564.392-.541.044-1.206.044-2.01.044H7.758c-.805 0-1.47 0-2.01-.044-.563-.046-1.08-.145-1.565-.392a4 4 0 0 1-1.748-1.748c-.247-.485-.346-1.002-.392-1.564C2 15.71 2 15.046 2 14.242V9.758c0-.805 0-1.47.044-2.01.046-.563.145-1.08.392-1.565a4 4 0 0 1 1.748-1.748c.485-.247 1.002-.346 1.564-.392C6.29 4 6.954 4 7.758 4ZM5.91 6.038c-.438.035-.663.1-.819.18a2 2 0 0 0-.874.874c-.08.156-.145.38-.18.819C4 8.361 4 8.943 4 9.8v4.4c0 .857 0 1.439.038 1.889.035.438.1.663.18.819a2 2 0 0 0 .874.874c.156.08.38.145.819.18C6.361 18 6.943 18 7.8 18h8.4c.857 0 1.439 0 1.889-.038.438-.035.663-.1.819-.18a2 2 0 0 0 .874-.874c.08-.156.145-.38.18-.819.037-.45.038-1.032.038-1.889V9.8c0-.857 0-1.439-.038-1.889-.035-.438-.1-.663-.18-.819a2 2 0 0 0-.874-.874c-.156-.08-.38-.145-.819-.18C17.639 6 17.057 6 16.2 6H7.8c-.857 0-1.439 0-1.889.038Z" fill="currentColor"/></svg>
                        </button>
                    </div>
                </div>

                <div class="control-panel">
                    <div class="panel" id="settingsPanel">
                        <button id="settingsButton" class="button-with-icon" title="Board Settings">
                            <svg id="settingsIcon" width="24" height="24" viewBox="0 0 24 24" fill-rule="evenodd" clip-rule="evenodd" xmlns="http://www.w3.org/2000/svg"><path d="M12.5 2a2.492 2.492 0 0 1 1.818.784c.4.423.653.986.68 1.607v.021c.002.03.002.059.002.088v.014a.1.1 0 0 0 .172.071l.01-.01.063-.06.016-.015a2.49 2.49 0 0 1 1.691-.657c.64 0 1.278.245 1.765.732l.708.707a2.492 2.492 0 0 1 .73 1.84 2.49 2.49 0 0 1-.655 1.617l-.014.016-.061.063-.01.01a.1.1 0 0 0 .07.172h.015c.03 0 .059 0 .088.002h.02a2.49 2.49 0 0 1 1.662.732c.451.452.73 1.077.73 1.766v1a2.492 2.492 0 0 1-.784 1.818c-.423.4-.986.653-1.607.68h-.021c-.03.002-.059.002-.088.002h-.014a.1.1 0 0 0-.071.172l.01.01.06.063.015.016a2.49 2.49 0 0 1 .657 1.691c0 .64-.245 1.278-.732 1.765l-.707.708a2.492 2.492 0 0 1-1.84.73 2.49 2.49 0 0 1-1.617-.655l-.016-.014a2.59 2.59 0 0 1-.063-.061l-.01-.01a.1.1 0 0 0-.172.07v.015c0 .03 0 .059-.002.088v.02a2.491 2.491 0 0 1-.732 1.662A2.492 2.492 0 0 1 12.5 22h-1a2.492 2.492 0 0 1-1.818-.784 2.49 2.49 0 0 1-.68-1.607v-.021A2.538 2.538 0 0 1 9 19.5v-.014a.1.1 0 0 0-.172-.071l-.01.01-.063.06-.016.015a2.49 2.49 0 0 1-1.691.657 2.492 2.492 0 0 1-1.766-.732l-.707-.707a2.492 2.492 0 0 1-.73-1.84 2.49 2.49 0 0 1 .655-1.617l.014-.016.061-.063.01-.01a.1.1 0 0 0-.07-.172H4.5c-.03 0-.059 0-.088-.002h-.02a2.492 2.492 0 0 1-1.662-.732A2.492 2.492 0 0 1 2 12.5v-1a2.492 2.492 0 0 1 .784-1.818c.423-.4.986-.653 1.607-.68h.021L4.5 9h.014a.1.1 0 0 0 .071-.172l-.01-.01a2.558 2.558 0 0 1-.06-.063L4.5 8.739a2.49 2.49 0 0 1-.657-1.691c0-.64.245-1.278.732-1.766l.707-.707a2.492 2.492 0 0 1 1.84-.73 2.49 2.49 0 0 1 1.617.655l.016.014.063.061.01.01A.1.1 0 0 0 9 4.515V4.5c0-.03 0-.059.002-.088v-.02a2.491 2.491 0 0 1 .732-1.662A2.492 2.492 0 0 1 11.5 2h1ZM11 19.5a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-.014A2.1 2.1 0 0 1 16.586 18l.01.01a.5.5 0 0 0 .707 0l.707-.707a.5.5 0 0 0 0-.707l-.01-.01A2.1 2.1 0 0 1 19.486 13h.014a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5h-.014A2.1 2.1 0 0 1 18 7.414l.01-.01a.5.5 0 0 0 0-.707l-.707-.707a.5.5 0 0 0-.707 0l-.01.01A2.1 2.1 0 0 1 13 4.514V4.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v.014A2.1 2.1 0 0 1 7.414 6l-.01-.01a.5.5 0 0 0-.707 0l-.707.707a.5.5 0 0 0 0 .707l.01.01A2.1 2.1 0 0 1 4.514 11H4.5a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h.014A2.1 2.1 0 0 1 6 16.586l-.01.01a.5.5 0 0 0 0 .707l.707.707a.5.5 0 0 0 .707 0l.01-.01A2.1 2.1 0 0 1 11 19.486v.014Z" fill="currentColor"/><path d="M12 14a2 2 0 1 0 0-4 2 2 0 0 0 0 4Zm0 2a4 4 0 1 0 0-8 4 4 0 0 0 0 8Z" fill="currentColor"/></svg>
                        </button>
                        <button id="darkModeToggle" class="button-with-icon" title="Dark Mode">
                            <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12.85 2.48a1 1 0 0 1 .035.978A8 8 0 0 0 20 15.12h.004a1 1 0 0 1 .888 1.458A10 10 0 0 1 12 22C6.477 22 2 17.523 2 12c0-5.521 4.475-9.998 9.996-10a1 1 0 0 1 .854.48ZM10.45 4.15a8 8 0 1 0 7.82 12.82C13.57 16.15 10 12.054 10 7.12c0-1.033.157-2.03.449-2.97Z" fill="currentColor"/></svg>
                        </button>
                        <button id="changeAccentButton" class="button-with-icon" title="Change Accents">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M21 19a2 2 0 0 1-4 0c0-1.128 1.133-2.342 1.694-2.873a.442.442 0 0 1 .612 0C19.866 16.658 21 17.872 21 19Z" fill="currentColor"/><path fill-rule="evenodd" clip-rule="evenodd" d="m10.5 9.086 4.414 4.414-3.903 3.903c-.236.236-.49.456-.757.656l-3.227 2.413c-2.312 1.73-5.228-1.187-3.5-3.5l2.414-3.226c.2-.268.42-.52.656-.757L10.5 9.086Zm0 2.828L8.01 14.403c-.169.169-.325.35-.468.54l-2.414 3.228c-.109.145-.122.26-.112.345.012.099.063.212.16.308a.535.535 0 0 0 .307.159c.085.01.2-.003.345-.113l3.227-2.413c.191-.143.372-.3.541-.468l2.489-2.489-1.586-1.586Z" fill="currentColor"/><path fill-rule="evenodd" clip-rule="evenodd" d="M20.087 3.913a3.121 3.121 0 0 0-4.415 0l-1.325 1.325a3.001 3.001 0 0 0-3.299.639L9.877 7.048a3 3 0 0 0 0 4.243l2.831 2.832a3 3 0 0 0 4.243 0l1.172-1.172a3.001 3.001 0 0 0 .638-3.299l1.326-1.325a3.121 3.121 0 0 0 0-4.414Zm-3.379 6.21L13.877 7.29a1 1 0 0 0-1.415 0l-1.171 1.172a1 1 0 0 0 0 1.414l2.832 2.831a1 1 0 0 0 1.414 0l1.171-1.171a1 1 0 0 0 0-1.414Zm.792-2.037 1.173-1.173a1.121 1.121 0 1 0-1.586-1.586L15.914 6.5 17.5 8.086Z" fill="currentColor"/></svg>
                        </button>
                    </div>
                </div>
            </div>

            <script src="script.js"></script>
        </body>
        </html>
